std::unique_lock< _Mutex > Class Template Reference
Mutexes

## Public Types

typedef _Mutex | mutex_type

## Public Member Functions

| unique_lock (mutex_type &__m)
| unique_lock (mutex_type &__m, defer_lock_t) noexcept
| unique_lock (mutex_type &__m, try_to_lock_t)
| unique_lock (mutex_type &__m, adopt_lock_t)
template<typename _Clock , typename _Duration >
| unique_lock (mutex_type &__m, const chrono::time_point< _Clock, _Duration > &__atime)
template<typename _Rep , typename _Period >
| unique_lock (mutex_type &__m, const chrono::duration< _Rep, _Period > &__rtime)
| unique_lock (const unique_lock &)=delete
| unique_lock (unique_lock &&__u) noexcept
void | lock ()
mutex_type * | mutex () const noexcept
| operator bool () const noexcept
unique_lock & | operator= (const unique_lock &)=delete
unique_lock & | operator= (unique_lock &&__u) noexcept
bool | owns_lock () const noexcept
mutex_type * | release () noexcept
void | swap (unique_lock &__u) noexcept
bool | try_lock ()
template<typename _Rep , typename _Period >
bool | try_lock_for (const chrono::duration< _Rep, _Period > &__rtime)
template<typename _Clock , typename _Duration >
bool | try_lock_until (const chrono::time_point< _Clock, _Duration > &__atime)
void | unlock ()

## Detailed Description

### template<typename _Mutex>
class std::unique_lock< _Mutex >

unique_lock

Definition at line 393 of file mutex.

The documentation for this class was generated from the following file:

- mutex